LibreOffice: PathSettings Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
List of all members
PathSettings Service Referencepublished

A legacy (single-instance) service-variant of thePathSettings singleton. More...

Inheritance diagram for PathSettings:

## Additional Inherited Members
Exported Interfaces inherited from XPathSettings
interface | com::sun::star::beans::XPropertySet
| Main interface to have access to the path properties.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Attributes inherited from XPathSettings
string | Addin
| Specifies the directory that contains spreadsheet add-ins which use the old add-in API.
string | AutoCorrect
| The settings of the AutoCorrect dialog.
string | AutoText
| The directory which contains the AutoText modules.
string | Backup
| Automatic backup copies of documents are stored here.
string | Basic
| The Basic files, used by the AutoPilots, can be found here.
string | Bitmap
| This directory contains the icons for the toolbars.
string | Config
| The configuration files are located here.
string | Dictionary
| The provided dictionaries are stored here.
string | Favorite
| Path to save folder bookmarks.
string | Filter
| Specifies the directory where all the filters are stored.
string | Gallery
| Specifies the directories which contains the Gallery database and multimedia files.
string | Graphic
| This directory is displayed when the dialog for opening a graphic or for saving a new graphic is called.
string | Help
| The path to the Office help files.
string | Linguistic
| The files that are necessary for the spell check are saved here.
string | Module
| This is the path for the modules.
string | Palette
| This is the path to the palette files *.SOB to *.SOF containing user-defined colors and patterns.
string | Plugin
| Plugins are saved in these directories.
string | Storage
| Mail, News files and other information (for example, about FTP Server) are stored here.
string | Temp
| The base url to the office temp-files.
string | Template
| The templates originate from these folders and sub-folders.
string | UIConfig
| Global directories to look for user interface configuration files.
string | UserConfig
| Specifies the folder with the user settings.
string | UserDictionary
| The custom dictionaries are contained here.
string | Work
| The path of the work folder can be modified according to the user's needs.
string | BasePathShareLayer
string | BasePathUserLayer

## Detailed Description

A legacy (single-instance) service-variant of thePathSettings singleton.

Deprecated:
  Use thePathSettings singleton instead.

Since
  OOo 1.1.2

Developers Guide
  Office Development - Path Settings

The documentation for this service was generated from the following file:

- com/sun/star/util/PathSettings.idl